var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Column, CreateDateColumn, Entity, ManyToOne, PrimaryColumn, PrimaryGeneratedColumn, Unique, } from 'typeorm';
let PlatformModel = class PlatformModel {
    id;
    iss;
    client_id;
    deployment_id;
    authentication_request_url;
    access_token_url;
    jwks_url;
    registrated = false;
    associated_user;
    createdDate;
};
__decorate([
    PrimaryGeneratedColumn('uuid'),
    __metadata("design:type", String)
], PlatformModel.prototype, "id", void 0);
__decorate([
    Column({ nullable: true }),
    __metadata("design:type", String)
], PlatformModel.prototype, "iss", void 0);
__decorate([
    Column({ nullable: true }),
    __metadata("design:type", String)
], PlatformModel.prototype, "client_id", void 0);
__decorate([
    Column({ nullable: true }),
    __metadata("design:type", String)
], PlatformModel.prototype, "deployment_id", void 0);
__decorate([
    Column({ nullable: true }),
    __metadata("design:type", String)
], PlatformModel.prototype, "authentication_request_url", void 0);
__decorate([
    Column({ nullable: true }),
    __metadata("design:type", String)
], PlatformModel.prototype, "access_token_url", void 0);
__decorate([
    Column({ nullable: true }),
    __metadata("design:type", String)
], PlatformModel.prototype, "jwks_url", void 0);
__decorate([
    Column(),
    __metadata("design:type", Boolean)
], PlatformModel.prototype, "registrated", void 0);
__decorate([
    Column({ nullable: true }),
    __metadata("design:type", String)
], PlatformModel.prototype, "associated_user", void 0);
__decorate([
    CreateDateColumn(),
    __metadata("design:type", Date)
], PlatformModel.prototype, "createdDate", void 0);
PlatformModel = __decorate([
    Entity()
], PlatformModel);
export { PlatformModel };
let LtiMessageModel = class LtiMessageModel {
    id;
    nonce;
    platform;
};
__decorate([
    PrimaryGeneratedColumn('uuid'),
    __metadata("design:type", String)
], LtiMessageModel.prototype, "id", void 0);
__decorate([
    Column(),
    __metadata("design:type", String)
], LtiMessageModel.prototype, "nonce", void 0);
__decorate([
    ManyToOne(() => PlatformModel, { eager: true }),
    __metadata("design:type", PlatformModel)
], LtiMessageModel.prototype, "platform", void 0);
LtiMessageModel = __decorate([
    Entity()
], LtiMessageModel);
export { LtiMessageModel };
let LtiResourceModel = class LtiResourceModel {
    id;
    resource_link_id;
    platform;
    experiment_template_uri;
    namesServiceUrl;
};
__decorate([
    PrimaryGeneratedColumn('uuid'),
    __metadata("design:type", String)
], LtiResourceModel.prototype, "id", void 0);
__decorate([
    Column(),
    __metadata("design:type", String)
], LtiResourceModel.prototype, "resource_link_id", void 0);
__decorate([
    ManyToOne(() => PlatformModel, { eager: true }),
    __metadata("design:type", PlatformModel)
], LtiResourceModel.prototype, "platform", void 0);
__decorate([
    Column({ nullable: true }),
    __metadata("design:type", String)
], LtiResourceModel.prototype, "experiment_template_uri", void 0);
__decorate([
    Column({ nullable: true }),
    __metadata("design:type", String)
], LtiResourceModel.prototype, "namesServiceUrl", void 0);
LtiResourceModel = __decorate([
    Unique(['resource_link_id', 'platform']),
    Entity()
], LtiResourceModel);
export { LtiResourceModel };
let LtiSessionModel = class LtiSessionModel {
    id;
    resource;
    launchMessage;
    experiment_uri;
    createdDate;
};
__decorate([
    PrimaryColumn(),
    __metadata("design:type", String)
], LtiSessionModel.prototype, "id", void 0);
__decorate([
    ManyToOne(() => LtiResourceModel, { eager: true }),
    __metadata("design:type", LtiResourceModel)
], LtiSessionModel.prototype, "resource", void 0);
__decorate([
    Column('simple-json'),
    __metadata("design:type", Object)
], LtiSessionModel.prototype, "launchMessage", void 0);
__decorate([
    Column({ nullable: true }),
    __metadata("design:type", String)
], LtiSessionModel.prototype, "experiment_uri", void 0);
__decorate([
    CreateDateColumn(),
    __metadata("design:type", Date)
], LtiSessionModel.prototype, "createdDate", void 0);
LtiSessionModel = __decorate([
    Entity()
], LtiSessionModel);
export { LtiSessionModel };
let LtiSessionRoleMapModel = class LtiSessionRoleMapModel {
    id;
    session;
    role;
    device;
};
__decorate([
    PrimaryGeneratedColumn('uuid'),
    __metadata("design:type", String)
], LtiSessionRoleMapModel.prototype, "id", void 0);
__decorate([
    ManyToOne(() => LtiSessionModel, { eager: false }),
    __metadata("design:type", LtiSessionModel)
], LtiSessionRoleMapModel.prototype, "session", void 0);
__decorate([
    Column(),
    __metadata("design:type", String)
], LtiSessionRoleMapModel.prototype, "role", void 0);
__decorate([
    Column(),
    __metadata("design:type", String)
], LtiSessionRoleMapModel.prototype, "device", void 0);
LtiSessionRoleMapModel = __decorate([
    Entity(),
    Unique(['session', 'role'])
], LtiSessionRoleMapModel);
export { LtiSessionRoleMapModel };
let LtiResourceStudent = class LtiResourceStudent {
    id;
    resource;
    external_id;
    name;
    email;
};
__decorate([
    PrimaryGeneratedColumn('uuid'),
    __metadata("design:type", String)
], LtiResourceStudent.prototype, "id", void 0);
__decorate([
    ManyToOne(() => LtiResourceModel, { eager: false }),
    __metadata("design:type", LtiResourceModel)
], LtiResourceStudent.prototype, "resource", void 0);
__decorate([
    Column(),
    __metadata("design:type", String)
], LtiResourceStudent.prototype, "external_id", void 0);
__decorate([
    Column({ nullable: true }),
    __metadata("design:type", String)
], LtiResourceStudent.prototype, "name", void 0);
__decorate([
    Column({ nullable: true }),
    __metadata("design:type", String)
], LtiResourceStudent.prototype, "email", void 0);
LtiResourceStudent = __decorate([
    Entity(),
    Unique(['resource', 'external_id'])
], LtiResourceStudent);
export { LtiResourceStudent };
let LtiResourceStudentRoleMapModel = class LtiResourceStudentRoleMapModel {
    id;
    student;
    role;
    device;
};
__decorate([
    PrimaryGeneratedColumn('uuid'),
    __metadata("design:type", String)
], LtiResourceStudentRoleMapModel.prototype, "id", void 0);
__decorate([
    ManyToOne(() => LtiResourceStudent, { eager: false }),
    __metadata("design:type", LtiResourceStudent)
], LtiResourceStudentRoleMapModel.prototype, "student", void 0);
__decorate([
    Column(),
    __metadata("design:type", String)
], LtiResourceStudentRoleMapModel.prototype, "role", void 0);
__decorate([
    Column(),
    __metadata("design:type", String)
], LtiResourceStudentRoleMapModel.prototype, "device", void 0);
LtiResourceStudentRoleMapModel = __decorate([
    Entity(),
    Unique(['student', 'role'])
], LtiResourceStudentRoleMapModel);
export { LtiResourceStudentRoleMapModel };
export const Entities = [
    PlatformModel,
    LtiMessageModel,
    LtiResourceModel,
    LtiSessionModel,
    LtiSessionRoleMapModel,
    LtiResourceStudent,
    LtiResourceStudentRoleMapModel,
];
//# sourceMappingURL=model.js.map