/**
 * This file was automatically generated by openapi-codegeneration.
 * DO NOT MODIFY IT BY HAND. Instead, modify the source OpenAPI file,
 * and run openapi-codegeneration to regenerate this file.
 */
import express from "express";
import operations from "../operations/index.js";
import { ValidationError } from "./types.js";
import { validateGetLtiPlatformInput, validateGetLtiPlatformOutput, validatePostLtiPlatformInput, validatePostLtiPlatformOutput, validateGetLtiPlatformByPlatformIdInput, validateGetLtiPlatformByPlatformIdOutput, validatePatchLtiPlatformByPlatformIdInput, validatePatchLtiPlatformByPlatformIdOutput, validateDeleteLtiPlatformByPlatformIdInput, validateDeleteLtiPlatformByPlatformIdOutput, validatePostLtiPlatformByPlatformIdLoginInput, validatePostLtiPlatformByPlatformIdLoginOutput, validatePostLtiPlatformByPlatformIdLaunchInput, validatePostLtiPlatformByPlatformIdLaunchOutput, validateGetLtiPlatformByPlatformIdJwksInput, validateGetLtiPlatformByPlatformIdJwksOutput, validateGetLtiResourceInput, validateGetLtiResourceOutput, validateGetLtiResourceByResourceIdInput, validateGetLtiResourceByResourceIdOutput, validatePatchLtiResourceByResourceIdInput, validatePatchLtiResourceByResourceIdOutput, validateDeleteLtiResourceByResourceIdInput, validateDeleteLtiResourceByResourceIdOutput, validateGetLtiResourceByResourceIdStudentsInput, validateGetLtiResourceByResourceIdStudentsOutput, validatePatchLtiResourceByResourceIdStudentsInput, validatePatchLtiResourceByResourceIdStudentsOutput, validateGetLtiResourceByResourceIdStudentsByStudentIdInput, validateGetLtiResourceByResourceIdStudentsByStudentIdOutput, validatePatchLtiResourceByResourceIdStudentsByStudentIdInput, validatePatchLtiResourceByResourceIdStudentsByStudentIdOutput, validatePatchLtiSessionBySessionIdExperimentInput, validatePatchLtiSessionBySessionIdExperimentOutput } from "./requestValidation.js";
export default function router() {
    const router = express.Router();
    router.get("/lti/platform", async (req, res, next) => {
        try {
            if (!validateGetLtiPlatformInput()) {
                throw new ValidationError("Request validation failed", validateGetLtiPlatformInput.errors, 400);
            }
            const result = await operations.getLtiPlatform(req);
            if (!validateGetLtiPlatformOutput(result)) {
                throw new ValidationError("Response validation failed", validateGetLtiPlatformOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.post("/lti/platform", async (req, res, next) => {
        try {
            if (!validatePostLtiPlatformInput()) {
                throw new ValidationError("Request validation failed", validatePostLtiPlatformInput.errors, 400);
            }
            const result = await operations.postLtiPlatform(req);
            if (!validatePostLtiPlatformOutput(result)) {
                throw new ValidationError("Response validation failed", validatePostLtiPlatformOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.get("/lti/platform/:platform_id", async (req, res, next) => {
        const parameters = {
            "platform_id": req.params["platform_id"]
        };
        try {
            if (!validateGetLtiPlatformByPlatformIdInput(parameters)) {
                throw new ValidationError("Request validation failed", validateGetLtiPlatformByPlatformIdInput.errors, 400);
            }
            const result = await operations.getLtiPlatformByPlatformId(req, parameters);
            if (!validateGetLtiPlatformByPlatformIdOutput(result)) {
                throw new ValidationError("Response validation failed", validateGetLtiPlatformByPlatformIdOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.patch("/lti/platform/:platform_id", async (req, res, next) => {
        const parameters = {
            "platform_id": req.params["platform_id"]
        };
        try {
            if (!validatePatchLtiPlatformByPlatformIdInput(parameters)) {
                throw new ValidationError("Request validation failed", validatePatchLtiPlatformByPlatformIdInput.errors, 400);
            }
            const result = await operations.patchLtiPlatformByPlatformId(req, parameters);
            if (!validatePatchLtiPlatformByPlatformIdOutput(result)) {
                throw new ValidationError("Response validation failed", validatePatchLtiPlatformByPlatformIdOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.delete("/lti/platform/:platform_id", async (req, res, next) => {
        const parameters = {
            "platform_id": req.params["platform_id"]
        };
        try {
            if (!validateDeleteLtiPlatformByPlatformIdInput(parameters)) {
                throw new ValidationError("Request validation failed", validateDeleteLtiPlatformByPlatformIdInput.errors, 400);
            }
            const result = await operations.deleteLtiPlatformByPlatformId(req, parameters);
            if (!validateDeleteLtiPlatformByPlatformIdOutput(result)) {
                throw new ValidationError("Response validation failed", validateDeleteLtiPlatformByPlatformIdOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.post("/lti/platform/:platform_id/login", async (req, res, next) => {
        const parameters = {
            "platform_id": req.params["platform_id"]
        };
        const body = req.body;
        try {
            if (!validatePostLtiPlatformByPlatformIdLoginInput(parameters, body)) {
                throw new ValidationError("Request validation failed", validatePostLtiPlatformByPlatformIdLoginInput.errors, 400);
            }
            const result = await operations.postLtiPlatformByPlatformIdLogin(req, parameters, body);
            if (!validatePostLtiPlatformByPlatformIdLoginOutput(result)) {
                throw new ValidationError("Response validation failed", validatePostLtiPlatformByPlatformIdLoginOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.post("/lti/platform/:platform_id/launch", async (req, res, next) => {
        const parameters = {
            "platform_id": req.params["platform_id"]
        };
        const body = req.body;
        try {
            if (!validatePostLtiPlatformByPlatformIdLaunchInput(parameters, body)) {
                throw new ValidationError("Request validation failed", validatePostLtiPlatformByPlatformIdLaunchInput.errors, 400);
            }
            const result = await operations.postLtiPlatformByPlatformIdLaunch(req, parameters, body);
            if (!validatePostLtiPlatformByPlatformIdLaunchOutput(result)) {
                throw new ValidationError("Response validation failed", validatePostLtiPlatformByPlatformIdLaunchOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.get("/lti/platform/:platform_id/jwks", async (req, res, next) => {
        const parameters = {
            "platform_id": req.params["platform_id"]
        };
        try {
            if (!validateGetLtiPlatformByPlatformIdJwksInput(parameters)) {
                throw new ValidationError("Request validation failed", validateGetLtiPlatformByPlatformIdJwksInput.errors, 400);
            }
            const result = await operations.getLtiPlatformByPlatformIdJwks(req, parameters);
            if (!validateGetLtiPlatformByPlatformIdJwksOutput(result)) {
                throw new ValidationError("Response validation failed", validateGetLtiPlatformByPlatformIdJwksOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.get("/lti/resource", async (req, res, next) => {
        try {
            if (!validateGetLtiResourceInput()) {
                throw new ValidationError("Request validation failed", validateGetLtiResourceInput.errors, 400);
            }
            const result = await operations.getLtiResource(req);
            if (!validateGetLtiResourceOutput(result)) {
                throw new ValidationError("Response validation failed", validateGetLtiResourceOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.get("/lti/resource/:resource_id", async (req, res, next) => {
        const parameters = {
            "resource_id": req.params["resource_id"]
        };
        try {
            if (!validateGetLtiResourceByResourceIdInput(parameters)) {
                throw new ValidationError("Request validation failed", validateGetLtiResourceByResourceIdInput.errors, 400);
            }
            const result = await operations.getLtiResourceByResourceId(req, parameters);
            if (!validateGetLtiResourceByResourceIdOutput(result)) {
                throw new ValidationError("Response validation failed", validateGetLtiResourceByResourceIdOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.patch("/lti/resource/:resource_id", async (req, res, next) => {
        const parameters = {
            "resource_id": req.params["resource_id"]
        };
        const body = req.body;
        try {
            if (!validatePatchLtiResourceByResourceIdInput(parameters, body)) {
                throw new ValidationError("Request validation failed", validatePatchLtiResourceByResourceIdInput.errors, 400);
            }
            const result = await operations.patchLtiResourceByResourceId(req, parameters, body);
            if (!validatePatchLtiResourceByResourceIdOutput(result)) {
                throw new ValidationError("Response validation failed", validatePatchLtiResourceByResourceIdOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.delete("/lti/resource/:resource_id", async (req, res, next) => {
        const parameters = {
            "resource_id": req.params["resource_id"]
        };
        try {
            if (!validateDeleteLtiResourceByResourceIdInput(parameters)) {
                throw new ValidationError("Request validation failed", validateDeleteLtiResourceByResourceIdInput.errors, 400);
            }
            const result = await operations.deleteLtiResourceByResourceId(req, parameters);
            if (!validateDeleteLtiResourceByResourceIdOutput(result)) {
                throw new ValidationError("Response validation failed", validateDeleteLtiResourceByResourceIdOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.get("/lti/resource/:resource_id/students", async (req, res, next) => {
        const parameters = {
            "resource_id": req.params["resource_id"]
        };
        try {
            if (!validateGetLtiResourceByResourceIdStudentsInput(parameters)) {
                throw new ValidationError("Request validation failed", validateGetLtiResourceByResourceIdStudentsInput.errors, 400);
            }
            const result = await operations.getLtiResourceByResourceIdStudents(req, parameters);
            if (!validateGetLtiResourceByResourceIdStudentsOutput(result)) {
                throw new ValidationError("Response validation failed", validateGetLtiResourceByResourceIdStudentsOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.patch("/lti/resource/:resource_id/students", async (req, res, next) => {
        const parameters = {
            "resource_id": req.params["resource_id"]
        };
        const body = req.body;
        try {
            if (!validatePatchLtiResourceByResourceIdStudentsInput(parameters, body)) {
                throw new ValidationError("Request validation failed", validatePatchLtiResourceByResourceIdStudentsInput.errors, 400);
            }
            const result = await operations.patchLtiResourceByResourceIdStudents(req, parameters, body);
            if (!validatePatchLtiResourceByResourceIdStudentsOutput(result)) {
                throw new ValidationError("Response validation failed", validatePatchLtiResourceByResourceIdStudentsOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.get("/lti/resource/:resource_id/students/:student_id", async (req, res, next) => {
        const parameters = {
            "resource_id": req.params["resource_id"],
            "student_id": req.params["student_id"]
        };
        try {
            if (!validateGetLtiResourceByResourceIdStudentsByStudentIdInput(parameters)) {
                throw new ValidationError("Request validation failed", validateGetLtiResourceByResourceIdStudentsByStudentIdInput.errors, 400);
            }
            const result = await operations.getLtiResourceByResourceIdStudentsByStudentId(req, parameters);
            if (!validateGetLtiResourceByResourceIdStudentsByStudentIdOutput(result)) {
                throw new ValidationError("Response validation failed", validateGetLtiResourceByResourceIdStudentsByStudentIdOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.patch("/lti/resource/:resource_id/students/:student_id", async (req, res, next) => {
        const parameters = {
            "resource_id": req.params["resource_id"],
            "student_id": req.params["student_id"]
        };
        const body = req.body;
        try {
            if (!validatePatchLtiResourceByResourceIdStudentsByStudentIdInput(parameters, body)) {
                throw new ValidationError("Request validation failed", validatePatchLtiResourceByResourceIdStudentsByStudentIdInput.errors, 400);
            }
            const result = await operations.patchLtiResourceByResourceIdStudentsByStudentId(req, parameters, body);
            if (!validatePatchLtiResourceByResourceIdStudentsByStudentIdOutput(result)) {
                throw new ValidationError("Response validation failed", validatePatchLtiResourceByResourceIdStudentsByStudentIdOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.patch("/lti/session/:session_id/experiment", async (req, res, next) => {
        const parameters = {
            "session_id": req.params["session_id"]
        };
        const body = req.body;
        try {
            if (!validatePatchLtiSessionBySessionIdExperimentInput(parameters, body)) {
                throw new ValidationError("Request validation failed", validatePatchLtiSessionBySessionIdExperimentInput.errors, 400);
            }
            const result = await operations.patchLtiSessionBySessionIdExperiment(req, parameters, body);
            if (!validatePatchLtiSessionBySessionIdExperimentOutput(result)) {
                throw new ValidationError("Response validation failed", validatePatchLtiSessionBySessionIdExperimentOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    return router;
}
//# sourceMappingURL=routes.js.map